<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" layout="admin-1column" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <update handle="wtai_footer_block"/>
    <head>
        <script src="WriteTextAI_WriteTextAI::js/messages.js"/>
    </head>
    <body>
		<referenceContainer name="content">
            <!-- <block name="wtai.review.notice" class="WriteTextAI\WriteTextAI\Block\Adminhtml\ReviewNotice"
                template="WriteTextAI_WriteTextAI::review_notice.phtml"/> -->
			<block name="wtai.setup.wizard" class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index" template="WriteTextAI_WriteTextAI::setup/index.phtml" cacheable="false">
				<block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index" name="wtai.freemium" template="WriteTextAI_WriteTextAI::setup/freemium.phtml">
					<arguments>
						<argument name="premium" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\Premium</argument>
					</arguments>
				</block>
				<block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index" name="wtai.step2" template="WriteTextAI_WriteTextAI::setup/steps/step2.phtml" />
				<block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index" name="wtai.step3" template="WriteTextAI_WriteTextAI::setup/steps/step3.phtml">
					<arguments>
						<argument name="template_settings" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\TemplateSettings</argument>
					</arguments>
					<block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index\Keywords" name="wtai.setup.autotransfer" template="WriteTextAI_WriteTextAI::setup/steps/autotransfer.phtml" />
                    <block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index\Keywords" name="wtai.setup.keywords" template="WriteTextAI_WriteTextAI::setup/steps/keywords.phtml">
                        <arguments>
							<argument name="tooltip" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\Tooltip</argument>
                        </arguments>
                    </block>
					<block name="wtai.custom.text.warning" template="WriteTextAI_WriteTextAI::notification/custom_text_warning.phtml" />
				</block>
				<block class="WriteTextAI\WriteTextAI\Block\Adminhtml\Setup\Index" name="wtai.step4" template="WriteTextAI_WriteTextAI::setup/steps/step4.phtml" />
				<block name="wtai.premium.popup" template="WriteTextAI_WriteTextAI::grid/popups/premium_popup.phtml">
					<arguments>
						<argument name="premium" xsi:type="object">WriteTextAI\WriteTextAI\ViewModel\Premium</argument>
					</arguments>
            	</block>
			</block>
		</referenceContainer>
	</body>
</page>